Page MenuHomeFreeBSD

Make running tests in contrib build optional for audio/logitechmediaserver
ClosedPublic

Authored by mark_tranquillussoftware.co.uk on Dec 20 2016, 7:34 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mark_tranquillussoftware.co.uk retitled this revision from to Make running tests in contrib build optional for audio/logitechmediaserver.
mark_tranquillussoftware.co.uk updated this object.
mark_tranquillussoftware.co.uk edited the test plan for this revision. (Show Details)
mark_tranquillussoftware.co.uk set the repository for this revision to rP FreeBSD ports repository.
mat added a comment.Dec 21 2016, 8:23 AM

We try to not have negative options, it would be better to have a "TEST" one and reverse the logic.

Change to positive option as per comments

Hi Mark,
Can you please explain why you would want to skip the tests for the Perl modules that were build by the vendor instructions/source? Surely these tests are intended to confirm the Perl modules function correctly?
Thanks,
Ben

Hi Mark,
Can you please explain why you would want to skip the tests for the Perl modules that were build by the vendor instructions/source? Surely these tests are intended to confirm the Perl modules function correctly?

I've had multiple reports that the loopback tests are failing when folks are building inside a jail as they're not getting the address they expect. This avoids that problem.

woodsb02 accepted this revision.Feb 5 2017, 12:44 PM
woodsb02 added a reviewer: woodsb02.

Looks ok to me

This revision is now accepted and ready to land.Feb 5 2017, 12:44 PM
This revision was automatically updated to reflect the committed changes.